Bug 146448 - ks.cfg option doesn't work
ks.cfg option doesn't work
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-01-28 07:03 EST by paul
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2005-220
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-31 13:13:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description paul 2005-01-28 07:03:10 EST
Description of problem:
The ks.cfg option : bootloader --location=none is ignored and grub is 
always installed.

A message in tty3 tells that grub is being installed.

Version-Release number of selected component (if applicable):

How reproducible:
Very reproducable.

Steps to Reproduce:
1. Modify ks.cfg to have this line.
2. Kickstart system.
Actual results:

Expected results:

Additional info:
Comment 1 paul 2005-01-28 07:05:34 EST
An additional quirk of grub is that if you are viewing console 3, 
anaconda hangs waiting for grub to issue an exit statement.

This does not occur if you are viewing tty1
Comment 2 Chris Lumens 2005-01-31 13:13:47 EST
Committed to Rawhide and will show up in the next anaconda build.  Please submit
a second bug for the grub+VT thing if you feel it's a problem.
Comment 3 Tim Powers 2005-06-09 07:29:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.